Developer Documentation

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Properties Friends Macros Modules Pages
Public Slots | List of all members
RPC::RPCHelper Class Reference
Inheritance diagram for RPC::RPCHelper:

## Public Slots
QScriptValue | callFunction (QScriptEngine *_engine, const QString &_plugin, const QString &_functionName)
| call a function provided by a plugin More...
QScriptValue | callFunction (QScriptEngine *_engine, const QString &_plugin, const QString &_functionName, const std::vector< QScriptValue > &_parameters)
| Call a function provided by a plugin getting multiple parameters. More...

## Detailed Description

Definition at line 65 of file RPCWrappersHelper.hh.

## Member Function Documentation

QScriptValue RPC::RPCHelper::callFunction | ( | QScriptEngine * | _engine,
|  | const QString & | _plugin,
|  | const QString & | _functionName
| ) |  |
| slot

call a function provided by a plugin

Parameters

  _plugin | Plugin name ( Scripting name )
  _functionName | Name of the remote function

Definition at line 63 of file RPCWrappersHelper.cc.

QScriptValue RPC::RPCHelper::callFunction | ( | QScriptEngine * | _engine,
|  | const QString & | _plugin,
|  | const QString & | _functionName,
|  | const std::vector< QScriptValue > & | _parameters
| ) |  |
| slot

Call a function provided by a plugin getting multiple parameters.

This function gets the parameters which are converted to a QScriptValue on your own.

Parameters

  _plugin | Plugin name ( Scripting name of the plugin )
  _functionName | Name of the remote function
  _parameters | vector of scriptvalues containing the functions parameters in the right order

Definition at line 76 of file RPCWrappersHelper.cc.

The documentation for this class was generated from the following files:

- OpenFlipper/BasePlugin/RPCWrappersHelper.hh
- OpenFlipper/BasePlugin/RPCWrappersHelper.cc